RECSEL(1)

NOM
recsel – Afficher des enregistrements d’un fichier au format recfile

SYNOPSIS
recsel [OPTION]... [-t TYPE] [-j CHAMP] [-n INDICES | -e EXPR_ENREG | -q STR | -m NOMBRE] [-c | (-p|-P) EXPR_CHAMP] [FICHIER]...

DESCRIPTION
Sélectionner et afficher des données d’un fichier recfile

-d, --include-descriptors
    Afficher les descripteurs d’enregistrement avec les enregistrements correspondants.

-C, --collapse
    Ne pas sectionner le résultat dans les enregistrements avec de nouvelles lignes.

-S, --sort=CHAMP,...
    Trier la sortie selon les champs indiqués.

-G, --group-by=CHAMP,...
    Grouper les enregistrements selon les champs indiqués.

-U, --uniq
    Supprimer les champs en double dans les enregistrements en sortie.

-s, --password=CHAINE
    Déchiffrer les champs confidentiels avec le mot de passe indiqué.

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher la version du programme puis quitter.

  Options de sélection d’enregistrements :

-i, --case-insensitive
    Rendre les chaines indépendantes de la casse dans les expressions de sélection.

-t, --type=TYPE
    Agir seulement sur les enregistrements du type indiqué.

-e, --expression=EXPR_ENREG
    Expression pour la sélection.

-q, --quick=CHAINE
    Sélection des enregistrements avec des champs contenant la chaine.

-n, --number=NUMÉRO,...
    Sélection d’enregistrements particuliers par position et par intervalles.

-m, --random=NOMBRE
    Sélection du nombre indiqué d’enregistrements aléatoires.

-j, --join=CHAMP
    Réaliser une jonction interne en utilisant le champ indiqué.

  Options de sortie :

-p, --print=CHAMPS
    Liste de champs à afficher séparés par des virgules pour chaque enregistrement correspondant.

-P, --print-values=CHAMPS
    Comme -p, mais afficher les valeurs des champs indiqués.

-R, --print-row=CHAMPS
    Comme -p, mais séparer les valeurs avec des espaces au lieu de nouvelles lignes.

-c, --count
    Afficher le nombre d’enregistrements correspondants au lieu des enregistrements.

  Options spéciales :

--print-sexps
    Afficher les données en S-expression (sexp) au lieu du format rec.

AUTEUR
Écrit par Jose E. Marchesi.

SIGNALER DES BOGUES
Signaler toute erreur à bug-recutils@gnu.org
Page d'accueil de GNU recutils : <https://www.gnu.org/software/recutils/>
Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. License GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de recsel est disponible dans un manuel Texinfo. Si les programmes info et recsel sont correctement installés, la commande

    info recutils

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.